# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorSyntaxPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorSyntaxPage(object):
    def setupUi(self, EditorSyntaxPage):
        EditorSyntaxPage.setObjectName("EditorSyntaxPage")
        EditorSyntaxPage.resize(500, 500)
        EditorSyntaxPage.setWindowTitle("")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(EditorSyntaxPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=EditorSyntaxPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line2 = QtWidgets.QFrame(parent=EditorSyntaxPage)
        self.line2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line2.setObjectName("line2")
        self.verticalLayout_3.addWidget(self.line2)
        self.automaticSyntaxCheckCheckBox = QtWidgets.QGroupBox(parent=EditorSyntaxPage)
        self.automaticSyntaxCheckCheckBox.setObjectName("automaticSyntaxCheckCheckBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.automaticSyntaxCheckCheckBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.onlineCheckBox = QtWidgets.QGroupBox(parent=self.automaticSyntaxCheckCheckBox)
        self.onlineCheckBox.setCheckable(True)
        self.onlineCheckBox.setObjectName("onlineCheckBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.onlineCheckBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=self.onlineCheckBox)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.onlineTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.onlineCheckBox)
        self.onlineTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.onlineTimeoutSpinBox.setButtonSymbols(QtWidgets.QAbstractSpinBox.ButtonSymbols.PlusMinus)
        self.onlineTimeoutSpinBox.setProperty("value", 5)
        self.onlineTimeoutSpinBox.setObjectName("onlineTimeoutSpinBox")
        self.horizontalLayout.addWidget(self.onlineTimeoutSpinBox)
        spacerItem = QtWidgets.QSpacerItem(205, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_2.addWidget(self.onlineCheckBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.automaticSyntaxCheckCheckBox)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setObjectName("verticalLayout")
        self.includeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.includeCheckBox.setObjectName("includeCheckBox")
        self.verticalLayout.addWidget(self.includeCheckBox)
        self.ignoreStarImportCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.ignoreStarImportCheckBox.setObjectName("ignoreStarImportCheckBox")
        self.verticalLayout.addWidget(self.ignoreStarImportCheckBox)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.builtinsEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_2)
        self.builtinsEdit.setObjectName("builtinsEdit")
        self.verticalLayout.addWidget(self.builtinsEdit)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.verticalLayout_3.addWidget(self.automaticSyntaxCheckCheckBox)
        spacerItem1 = QtWidgets.QSpacerItem(20, 108, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)

        self.retranslateUi(EditorSyntaxPage)
        QtCore.QMetaObject.connectSlotsByName(EditorSyntaxPage)
        EditorSyntaxPage.setTabOrder(self.automaticSyntaxCheckCheckBox, self.onlineCheckBox)
        EditorSyntaxPage.setTabOrder(self.onlineCheckBox, self.onlineTimeoutSpinBox)
        EditorSyntaxPage.setTabOrder(self.onlineTimeoutSpinBox, self.includeCheckBox)
        EditorSyntaxPage.setTabOrder(self.includeCheckBox, self.ignoreStarImportCheckBox)
        EditorSyntaxPage.setTabOrder(self.ignoreStarImportCheckBox, self.builtinsEdit)

    def retranslateUi(self, EditorSyntaxPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorSyntaxPage", "<b>Configure Code Checker settings</b>"))
        self.automaticSyntaxCheckCheckBox.setToolTip(_translate("EditorSyntaxPage", "Select, whether source files should be checked automatically for syntax errors"))
        self.automaticSyntaxCheckCheckBox.setWhatsThis(_translate("EditorSyntaxPage", "<b>Automatic Syntax Check</b><p>Select to enable the automatic syntax checker. The syntax is checked, when a file is loaded or saved or the programming language of the editor is selected.</p>"))
        self.automaticSyntaxCheckCheckBox.setTitle(_translate("EditorSyntaxPage", "Automatic Syntax Check"))
        self.onlineCheckBox.setToolTip(_translate("EditorSyntaxPage", "Select to enable the online syntax checker"))
        self.onlineCheckBox.setWhatsThis(_translate("EditorSyntaxPage", "<b>Online Syntax Check</b><p>Select this to enable syntax checks while typing. The check is performed, if typing is interrupted for the configured timeout period.</p>"))
        self.onlineCheckBox.setTitle(_translate("EditorSyntaxPage", "Online Syntax Check"))
        self.label.setText(_translate("EditorSyntaxPage", "Timeout Interval:"))
        self.onlineTimeoutSpinBox.setToolTip(_translate("EditorSyntaxPage", "Enter the timeout for the online syntax checker"))
        self.onlineTimeoutSpinBox.setWhatsThis(_translate("EditorSyntaxPage", "<b>Timeout Interval</b><p>Enter the timeout interval for the online syntax check. The check is performed, if typing is interrupted for the configured timeout period.</p>"))
        self.onlineTimeoutSpinBox.setSuffix(_translate("EditorSyntaxPage", " s"))
        self.groupBox_2.setTitle(_translate("EditorSyntaxPage", "PyFlakes"))
        self.includeCheckBox.setToolTip(_translate("EditorSyntaxPage", "Select to include a PyFlakes check after the syntax check"))
        self.includeCheckBox.setText(_translate("EditorSyntaxPage", "Include PyFlakes Checks after syntax check"))
        self.ignoreStarImportCheckBox.setToolTip(_translate("EditorSyntaxPage", "Select to suppress star import warnings"))
        self.ignoreStarImportCheckBox.setText(_translate("EditorSyntaxPage", "Suppress star import warnings"))
        self.label_2.setText(_translate("EditorSyntaxPage", "Additional \'builtins\' Names:"))
        self.builtinsEdit.setToolTip(_translate("EditorSyntaxPage", "Enter additional \'builtins\' names separated by whitespace."))
